Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.dynabeans
Class DynaBeanPointer

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.model.NodePointer
            |
            +--org.apache.commons.jxpath.ri.model.beans.PropertyOwnerPointer
                  |
                  +--org.apache.commons.jxpath.ri.model.dynabeans.DynaBeanPointer

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, Pointer, java.io.Serializable

public class DynaBeanPointer
extends PropertyOwnerPointer

A Pointer that points to a DynaBean.

Version:
  $Revision: 1.4 $ $Date: 2003/03/11 00:59:28 $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Fields inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`index, locale, parent, UNKNOWN_NAMESPACE, WHOLE_COLLECTION`

Constructor Summary
`DynaBeanPointer(NodePointer parent, QName name, org.apache.commons.beanutils.DynaBean dynaBean)`
`DynaBeanPointer(QName name, org.apache.commons.beanutils.DynaBean dynaBean, java.util.Locale locale)`

Method Summary
`java.lang.String` | `asPath()` If there's a parent - parent's path, otherwise "/".
`boolean` | `equals(java.lang.Object object)`
`java.lang.Object` | `getBaseValue()` Returns the bean itself
`java.lang.Object` | `getImmediateNode()` Returns the object the pointer points to; does not convert it to a "canonical" type.
`int` | `getLength()` Returns 1.
`QName` | `getName()` Returns the name of this node.
`PropertyPointer` | `getPropertyPointer()`
`int` | `hashCode()`
`boolean` | `isCollection()` Returns `true` if the value of the pointer is an array or a Collection.
`boolean` | `isLeaf()` If true, this node does not have children

Methods inherited from class org.apache.commons.jxpath.ri.model.beans.PropertyOwnerPointer
`attributeIterator, childIterator, compareChildNodePointers, createNodeIterator, remove, setIndex, setValue`

Methods inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`clone, compareTo, createAttribute, createChild, createChild, createPath, createPath, getDefaultNamespaceURI, getExpandedName, getImmediateValuePointer, getIndex, getLocale, getNamespaceURI, getNamespaceURI, getNode, getNodeValue, getParent, getPointerByID, getPointerByKey, getRootNode, getValue, getValuePointer, isActual, isAttribute, isContainer, isDefaultNamespace, isLanguage, isNode, isRoot, namespaceIterator, namespacePointer, newChildNodePointer, newNodePointer, printPointerChain, setAttribute, testNode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynaBeanPointer

    public DynaBeanPointer(QName name,
                           org.apache.commons.beanutils.DynaBean dynaBean,
                           java.util.Locale locale)

### DynaBeanPointer

    public DynaBeanPointer(NodePointer parent,
                           QName name,
                           org.apache.commons.beanutils.DynaBean dynaBean)

  Parameters:
    `name` - is the name given to the first node

Method Detail

### getPropertyPointer

    public PropertyPointer getPropertyPointer()

  Overrides:
    `getPropertyPointer` in class `PropertyOwnerPointer`

### getName

    public QName getName()

  Description copied from class: `NodePointer`
  Returns the name of this node. Can be null.
  Overrides:
    `getName` in class `PropertyOwnerPointer`

### getBaseValue

    public java.lang.Object getBaseValue()

  Returns the bean itself
  Overrides:
    `getBaseValue` in class `NodePointer`

### getImmediateNode

    public java.lang.Object getImmediateNode()

  Description copied from class: `NodePointer`
  Returns the object the pointer points to; does not convert it to a "canonical" type.
  Overrides:
    `getImmediateNode` in class `PropertyOwnerPointer`

### isCollection

    public boolean isCollection()

  Description copied from class: `NodePointer`
  Returns `true` if the value of the pointer is an array or a Collection.
  Overrides:
    `isCollection` in class `NodePointer`

### getLength

    public int getLength()

  Returns 1.
  Overrides:
    `getLength` in class `NodePointer`

### isLeaf

    public boolean isLeaf()

  Description copied from class: `NodePointer`
  If true, this node does not have children
  Overrides:
    `isLeaf` in class `NodePointer`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### asPath

    public java.lang.String asPath()

  If there's a parent - parent's path, otherwise "/".
  Overrides:
    `asPath` in class `NodePointer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.